//+------------------------------------------------------------------+
//|                                                    Goldylox3.mq4 |
//|                                                         Goldylox |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Goldylox"
#property link      ""

extern double takeprofit=20.0; // 1.0 is 1 Pip / 0.1 is 0.1 Pip
extern double stoploss=2500.0;
bool basketclose=false;
double tp,sl,dg,totalpips;


//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   dg=Digits;
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   
   selectorder();
//----
   return(0);
  }
//+------------------------------------------------------------------+

void selectorder(){
int i;
double pt;
double buypips;
double sellpips;
   if(OrdersTotal()>0){
      for(i=OrdersTotal()-1;i>=0;i--){
         OrderSelect(i,SELECT_BY_POS,MODE_TRADES);
            if(OrderType()==OP_BUY){
               if(dg==3 || dg==5)pt=Point*10;
                  else pt=Point;  
               if(StringFind(OrderSymbol(),"JPY",0) >= 0 && (dg==3 || dg==5)) pt=0.01;
              if (basketclose){
                  buypips = ((OrderClosePrice()-OrderOpenPrice())/pt)+buypips;
                  }
              else{ 
                  buypips = ((OrderClosePrice()-OrderOpenPrice())/pt);  
                  if(stoploss>0 && buypips<=stoploss*(-1))OrderClose(OrderTicket(),OrderLots(),0,0,Purple);  
                  if(takeprofit>0 && buypips>=takeprofit)OrderClose(OrderTicket(),OrderLots(),0,0,Purple); 
                  }
               }
               
            if( OrderType()==OP_SELL){
               if(dg==3 || dg==5)pt=Point*10;
                  else pt=Point;  
               if(StringFind(OrderSymbol(),"JPY",0) >= 0 && (dg==3 || dg==5)) pt=0.01;
              if(basketclose){
                  sellpips = ((OrderOpenPrice()-OrderClosePrice())/pt)+buypips;
                  }
              else{  
                  sellpips = ((OrderOpenPrice()-OrderClosePrice())/pt)+buypips; 
                  if(stoploss>0 && sellpips<=stoploss*(-1))OrderClose(OrderTicket(),OrderLots(),0,0,Orange);  
                  if(takeprofit>0 && sellpips>=takeprofit)OrderClose(OrderTicket(),OrderLots(),0,0,Orange); 

                }
              }
           }
           totalpips = buypips+sellpips;
           }
           Comment("BUY:",buypips,"  SELL:",sellpips,"  Total:",totalpips);
        }